! *********************************************************************
! *  heat flux subroutine for 1-D heat conduction                     *
! *********************************************************************

      subroutine heatflux( Tmp0,   Tmp1,   t, ak, dz )

      implicit  none
      real(8), parameter:: SecY = 365.2422d0*24.0d0*3600.0d0
      real(8):: Tmp0,Tmp1,Qsur
      real(8):: t,ak,dz
      real(4):: ts,Qsurs
      integer:: nz

!  ***  evolution time  ***

      ts = sngl( t / SecY / 1.0d6 )

!  ***  heat flux at the surface  ***

      Qsur = ak * ( Tmp1 - Tmp0 ) / dz

      Qsurs = sngl( Qsur )
      write (20,*) ts, Qsurs

      return
      end subroutine heatflux

